//http://homofaciens.de/technics-physical-computing-set01_en.htm

//Single 7 segment display Common cathode

//Looking at the front side of the 7 segment display!
//Pins TOP row from LEFT to RIGHT
//Pin 1 trough 220 Ohm resistor to Arduino pin 5
//Pin 2 trough 220 Ohm resistor to Arduino pin 4
//Pin 3 to Arduino GND
//Pin 4 trough 220 Ohm resistor to Arduino pin 3
//Pin 5 trough 220 Ohm resistor to Arduino pin 2

//Pins BOTTOM row from LEFT to RIGHT
//Pin 1 trough 220 Ohm resistor to Arduino pin 9
//Pin 2 trough 220 Ohm resistor to Arduino pin 8
//Pin 3 to Arduino GND (or not connected)
//Pin 4 trough 220 Ohm resistor to Arduino pin 7
//Pin 5 trough 220 Ohm resistor to Arduino pin 6



#define SEGMENT_01  2
#define SEGMENT_02  3
#define SEGMENT_03  4
#define SEGMENT_04  5
#define SEGMENT_05  6
#define SEGMENT_06  7
#define SEGMENT_07  8
#define SEGMENT_08  9

#define COUNT_PAUSE 1000

int countDown;
int i;

void clearSegments(){
  digitalWrite(SEGMENT_01, LOW);
  digitalWrite(SEGMENT_02, LOW);
  digitalWrite(SEGMENT_03, LOW);
  digitalWrite(SEGMENT_04, LOW);
  digitalWrite(SEGMENT_05, LOW);
  digitalWrite(SEGMENT_06, LOW);
  digitalWrite(SEGMENT_07, LOW);
  digitalWrite(SEGMENT_08, LOW);
}

void no0(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
  digitalWrite(SEGMENT_08, HIGH);
}

void no1(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
}

void no2(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_08, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
}

void no3(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
}

void no4(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
}

void no5(){
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
}

void no6(){
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
  digitalWrite(SEGMENT_08, HIGH);
}

void no7(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
}

void no8(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
  digitalWrite(SEGMENT_08, HIGH);
}

void no9(){
  digitalWrite(SEGMENT_01, HIGH);
  digitalWrite(SEGMENT_02, HIGH);
  digitalWrite(SEGMENT_03, HIGH);
  digitalWrite(SEGMENT_04, HIGH);
  digitalWrite(SEGMENT_06, HIGH);
  digitalWrite(SEGMENT_07, HIGH);
}


void setup()
{
  pinMode(SEGMENT_01, OUTPUT);
  pinMode(SEGMENT_02, OUTPUT);
  pinMode(SEGMENT_03, OUTPUT);
  pinMode(SEGMENT_04, OUTPUT);
  pinMode(SEGMENT_05, OUTPUT);
  pinMode(SEGMENT_06, OUTPUT);
  pinMode(SEGMENT_07, OUTPUT);
  pinMode(SEGMENT_08, OUTPUT);
  countDown = 0;
}

void loop(){
  clearSegments();
  no9();
  delay(COUNT_PAUSE);
  clearSegments();
  no8();
  delay(COUNT_PAUSE);
  clearSegments();
  no7();
  delay(COUNT_PAUSE);
  clearSegments();
  no6();
  delay(COUNT_PAUSE);
  clearSegments();
  no5();
  delay(COUNT_PAUSE);
  clearSegments();
  no4();
  delay(COUNT_PAUSE);
  clearSegments();
  no3();
  delay(COUNT_PAUSE);
  clearSegments();
  no2();
  delay(COUNT_PAUSE);
  clearSegments();
  no1();
  delay(COUNT_PAUSE);
  clearSegments();
  no0();
  delay(COUNT_PAUSE);
  clearSegments();
  delay(COUNT_PAUSE + COUNT_PAUSE);
}

