//http://homofaciens.de/technics-physical-computing-set01_en.htm

//RGB LED module

//Connect kathode (-) to GND of Arduino
//Connect R to pin 3 of Arduino
//Connect G to pin 5 of Arduino
//Connect B to pin 6 of Arduino


//Define pin number the LED is connected to
#define LED_R_PIN  3
#define LED_G_PIN  5
#define LED_B_PIN  6

int i;

void setup() {                 //This code is executed whenever the board is turned on or the reset button is pressed
  //Switch all LED pins to output mode
  pinMode(LED_R_PIN, OUTPUT);
  pinMode(LED_G_PIN, OUTPUT);
  pinMode(LED_B_PIN, OUTPUT);
}

void loop() {                       //This loop runs forever


  digitalWrite(LED_R_PIN, HIGH);
  delay(1000);
  digitalWrite(LED_R_PIN, LOW);
  digitalWrite(LED_G_PIN, HIGH);
  delay(1000);
  digitalWrite(LED_G_PIN, LOW);
  digitalWrite(LED_B_PIN, HIGH);
  delay(1000);
  digitalWrite(LED_B_PIN, LOW);
  delay(1000);


  //Multiple colors
  for(i=0; i<256; i++){
    analogWrite(LED_R_PIN, i);
    delay(10);
  }
  for(i=0; i<256; i++){
    analogWrite(LED_G_PIN, i);
    delay(10);
  }
  for(i=0; i<256; i++){
    analogWrite(LED_B_PIN, i);
    delay(10);
  }
  for(i=255; i>=0; i--){
    analogWrite(LED_R_PIN, i);
    delay(10);
  }
  for(i=255; i>=0; i--){
    analogWrite(LED_G_PIN, i);
    delay(10);
  }
  for(i=255; i>=0; i--){
    analogWrite(LED_B_PIN, i);
    delay(10);
  }



}
